aboutsummaryrefslogtreecommitdiffstats
path: root/community/dhcping/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'community/dhcping/APKBUILD')
-rw-r--r--community/dhcping/APKBUILD37
1 files changed, 37 insertions, 0 deletions
diff --git a/community/dhcping/APKBUILD b/community/dhcping/APKBUILD
new file mode 100644
index 0000000000..5c85e210bd
--- /dev/null
+++ b/community/dhcping/APKBUILD
@@ -0,0 +1,37 @@
+# Contributor: Francesco Colista <fcolista@alpinelinux.org>
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
+pkgname=dhcping
+pkgver=1.2
+pkgrel=1
+pkgdesc="dhcp daemon ping program"
+url="http://www.mavetju.org/unix/general.php"
+arch="all"
+license="custom"
+depends=""
+makedepends=""
+subpackages="$pkgname-doc"
+source="http://www.mavetju.org/download/$pkgname-$pkgver.tar.gz"
+builddir="$srcdir/$pkgname-$pkgver"
+
+prepare() {
+ default_prepare || return 1
+ update_config_guess || return 1
+}
+
+build() {
+ cd "$builddir"
+ ./configure \
+ --prefix=/usr \
+ --mandir=/usr/share/man
+ make || return 1
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install
+ install -Dm0644 LICENSE $pkgdir/usr/share/licenses/$pkgname/LICENSE
+}
+
+md5sums="c4b22bbf3446c8567e371c40aa552d5d dhcping-1.2.tar.gz"
+sha256sums="32ef86959b0bdce4b33d4b2b216eee7148f7de7037ced81b2116210bc7d3646a dhcping-1.2.tar.gz"
+sha512sums="84ead27ba07f7ecc1e8cf6d95b40c98ee20a39ce54386249f403120beac70c45d765d5268b4968dbfbbb92790adcc1eb648c3a87071d215ad64bcd23aec818d3 dhcping-1.2.tar.gz"